ubuntu kurento 媒体服务器安装

张映 发表于 2018-07-10

分类目录: 服务器相关

标签:,

搞视频会议就会涉及一对多、多对多、广播、转码、混音、合屏、录制,这就需要用到流媒体服务器,而kurento就具有这些功能。

1,安装kurento

# echo "deb http://ubuntu.kurento.org trusty kms6" | sudo tee /etc/apt/sources.list.d/kurento.list
# wget -O - http://ubuntu.kurento.org/kurento.gpg.key | sudo apt-key add -
# apt-get update

修改kurento.list

# cat /etc/apt/sources.list.d/kurento.list
deb http://ubuntu.kurento.org xenial kms6  //换成xenial
# apt-get install kurento-media-server-6.0

注意:如果不改kurento.list会报以下错误

下列软件包有未满足的依赖关系:
kurento-media-server-6.0 : 依赖: kms-core-6.0 (>= 6.6.2) 但是它将不会被安装
依赖: libboost-filesystem1.54.0 但无法安装它
依赖: libboost-log1.54.0 但无法安装它
依赖: libboost-program-options1.54.0 但无法安装它
依赖: libboost-system1.54.0 但无法安装它
依赖: libboost-thread1.54.0 但无法安装它
依赖: libglibmm-2.4-1c2a (>= 2.36.2) 但无法安装它
依赖: libsigc++-2.0-0c2a (>= 2.0.2) 但无法安装它
依赖: gstreamer1.5-plugins-bad (>= 1.7.0~0) 但是它将不会被安装
依赖: gstreamer1.5-plugins-good (>= 1.7.0~0) 但是它将不会被安装
依赖: gstreamer1.5-plugins-ugly (>= 1.7.0~0) 但是它将不会被安装
依赖: kms-elements-6.0 (>= 6.6.2) 但是它将不会被安装
依赖: kms-filters-6.0 (>= 6.6.2) 但是它将不会被安装
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。

2,启动kurento

# service kurento-media-server-6.0 start

# netstat -tpnl |grep kuren
tcp6       0      0 :::8888                 :::*                    LISTEN      6643/kurento-media-


转载请注明
作者:海底苍鹰
地址:http://blog.51yip.com/server/1939.html

留下评论

留下评论
  • (必需)
  • (必需) (will not be published)
  • (必需)   8X2=?